package SoftLib.core;

import JaCoP.constraints.ExtensionalSupportSTR;
import JaCoP.core.IntVar;
import java.util.ArrayList;
import java.util.HashMap;

/**
 * Class that contains all the weight constraints for a couple af variables, expressed in numeric form.
 * This class is used by softArcConsitency() as an auxiliary data structure.
 */

public class WeightBinaryDomains {
    
    public IntVar x, y;
    public ArrayList<HashMap<IntCouple, Integer>> w;
    public ExtensionalSupportSTR weightCon;

    public WeightBinaryDomains(IntVar x, IntVar y) {
        this.x = x;
        this.y = y;
        this.w = new ArrayList<HashMap<IntCouple, Integer>>();
    }
}
