package SoftLib.weight;

import JaCoP.constraints.Constraint;
import JaCoP.core.IntVar;
import SoftLib.core.SoftStore;

/**
 * Class used to represent weight/cost functions for a unary SoftConstraint.
 */

public abstract class PrimitiveUnaryWeight extends PrimitiveWeight{
        public abstract Constraint setWeight(SoftStore store, IntVar x);
        public abstract int evaluateWeight(int x);
}
