package SoftLib.core;

import JaCoP.core.IntVar;
import java.util.ArrayList;

/**
 * Class used to get, starting from two variables, every binary constraint in which the both of them are involved.
 */
public class ExBinaryReference {

    private IntVar nodex, nodey;
    public ArrayList<CoupleConstraint> constraints;

    public ExBinaryReference(IntVar nodex, IntVar nodey) {
        this.nodex = nodex;
        this.nodey = nodey;
        constraints = new ArrayList<CoupleConstraint>();
    }

    public IntVar getNodex() {
        return nodex;
    }

    public IntVar getNodey() {
        return nodey;
    }
    
}
